MODULE physics_interface_mod

  USE prec

  PRIVATE

  TYPE :: physics_inout
     ! Input
     INTEGER :: ngrid
     REAL(rstd) :: dt_phys
     REAL(rstd), DIMENSION(:), POINTER :: lon, lat
     REAL(rstd), DIMENSION(:,:), POINTER :: p, Temp, ulon, ulat
     REAL(rstd), DIMENSION(:,:,:), POINTER :: q
     ! Output arrays
     REAL(rstd), DIMENSION(:,:), POINTER :: dTemp, dulon, dulat
     REAL(rstd), DIMENSION(:,:,:), POINTER :: dq
     ! extra output arrays (physics diagnostics)
     REAL(rstd), DIMENSION(:,:), POINTER :: extra_2D
     REAL(rstd), DIMENSION(:,:,:), POINTER :: extra_3D
  END TYPE physics_inout

  PUBLIC :: physics_inout

END MODULE physics_interface_mod
